%define debug_package %{nil}
%define githash	323c052e1731
%define uname	Eigen3

Name:		eigen3
Summary:	Lightweight C++ template library for vector and matrix math
Version:	3.3.7
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPLv3+ or GPLv2+
URL:		http://eigen.tuxfamily.org/
Source0:	http://bitbucket.org/eigen/eigen/get/%{version}.tar.bz2
Source1:	%{name}.png

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	ghostscript-common
BuildRequires:	graphviz
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	gmp-devel
BuildRequires:	qt4-devel
BuildRequires:	suitesparse-devel
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(libsparsehash)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	libmpfr-devel
# (tmb) test youri
BuildArch:	noarch

%description
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%package devel
Summary:	Header files for %{uname}
BuildArch:	noarch

%description devel
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%package doc
Summary:	This is the API documentation for %{uname}
BuildArch:	noarch

%description  doc
This is the API documentation for %{uname}.

%prep
%setup -q -n eigen-eigen-%{githash}

%build
export CXXFLAGS="%{optflags} -fpermissive -Wno-int-in-bool-context"
export CFLAGS="%{optflags} -fpermissive -Wno-int-in-bool-context"

%cmake
%make_build
%make_build doc
#make_build check ||:

%install
%make_install -C build
install -d %{buildroot}%{_docdir}/%{name}/html
cp -r build/doc/html/* %{buildroot}%{_docdir}/%{name}/html

pushd %{buildroot}%_includedir
	mkdir %{name}
	ln -s ../Eigen %{name}
popd

# Desktop
install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_iconsdir}
install -D %{SOURCE1} %{buildroot}%{_iconsdir}
cat > %{buildroot}%{_datadir}/applications/%{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=%{uname} C++ API Documentation
GenericName=%{uname} C++ API Documentation
Exec=xdg-open %{_docdir}/%{name}/html/index.html
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
X-Desktop-File-Install-Version=0.19
EOF

%pretrans devel -p <lua>
path = "%{_includedir}/eigen3/Eigen"
st = posix.stat(path)
if st and st.type == "directory" then
  os.execute("rm -rf " .. path)
end

%files  doc
%doc %{_docdir}/*
%{_datadir}/applications/%{name}-doc.desktop
%{_iconsdir}/*

%files devel
%{_includedir}/signature_of_%{name}_matrix_library
%{_includedir}/Eigen/*
%{_includedir}/%{name}/*
%{_includedir}/unsupported/Eigen/*
%{_datadir}/pkgconfig/*.pc
%{_datadir}/%{name}/cmake/*


%changelog
* Fri Jan 11 2019 adrianomorselli <adrianomorselli> 3.3.7-1uplos2019
- update
